Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.errors.exceptions
Class XSDValidatorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
                  es.inteco.xbrl.lenlocpenloc.errors.exceptions.ValidatorException
                      es.inteco.xbrl.lenlocpenloc.errors.exceptions.XSDValidatorException

All Implemented Interfaces:
  java.io.Serializable

    public class XSDValidatorException

extends ValidatorException

Clase utilizada para notificar errores de validación de XML contra un esquema XSD.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `errorInputFileIncorrectFormat` El formato del fichero de entrada no es el correcto.
`static java.lang.String` | `errorInValidationXmlInput` Error en la validación de un documento de entrada XML en formato común.
`static java.lang.String` | `notFoundInputDocumentToValidate` No se encuentra el documento a validar.

Fields inherited from class es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
`canNotResolveSchemaRef, errorContextWithoutDimensionContainer, errorContextWithoutScenario, errorCreatingTempFile, errorGettingFile, errorGettingNS, errorGettingReportID, errorGettingSchema, errorInicializingProcessor, errorInXSLTTransformation, errorNormalizeSchema, errorParamsTransformation, errorResolvingConfigPaths, errorSavingFileToByteArray, errorTryingViewInstance, errorTryingViewInstanceExternal, errorTryingViewInstanceResultFile, genericErrorValidatingInstance, notExistTempDirectory`

Constructor Summary
`XSDValidatorException(java.lang.String message, GenericErrorsHandler errorsHandler)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.
`XSDValidatorException(java.lang.String message, java.lang.String[] parameters)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error sin indicar la causa del error.
`XSDValidatorException(java.lang.String message, java.lang.String[] parameters, java.lang.Throwable cause)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.
`XSDValidatorException(java.lang.String message, java.lang.Throwable cause)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

Method Summary

Methods inherited from class es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
`getCodeError, getErrorsHandler, getMessage, setCodeError, setErrorsHandler`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### errorInValidationXmlInput

    public static final java.lang.String errorInValidationXmlInput

  Error en la validación de un documento de entrada XML en formato común.

  See Also:
    Constant Field Values

### notFoundInputDocumentToValidate

    public static final java.lang.String notFoundInputDocumentToValidate

  No se encuentra el documento a validar.

  See Also:
    Constant Field Values

### errorInputFileIncorrectFormat

    public static java.lang.String errorInputFileIncorrectFormat

  El formato del fichero de entrada no es el correcto.

Constructor Detail

### XSDValidatorException

    public XSDValidatorException(java.lang.String message,
                                 java.lang.Throwable cause)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

  Parameters:
    `message` - constante correspondiente al mensaje
    `cause` - mensaje de la excepción original

### XSDValidatorException

    public XSDValidatorException(java.lang.String message,
                                 java.lang.String[] parameters,
                                 java.lang.Throwable cause)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.

  Parameters:
    `message` - constante correspondiente al mensaje
    `parameters` - parámetros para completar el mensaje
    `cause` - mensaje de la excepción original

### XSDValidatorException

    public XSDValidatorException(java.lang.String message,
                                 java.lang.String[] parameters)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error sin indicar la causa del error.

  Parameters:
    `message` - constante correspondiente al mensaje
    `parameters` - parámetros para completar el mensaje

### XSDValidatorException

    public XSDValidatorException(java.lang.String message,
                                 GenericErrorsHandler errorsHandler)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

  Parameters:
    `message` - constante correspondiente al código del mensaje
    `errorsHandler` - contiene los errores propagados hasta llegar a esta excepción.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD